Update Variable
curl --request PATCH \
--url https://eu-gcp-api.vg-stuff.com/v3/variables/{variableId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"variable": {
"in": "<string>",
"value": "<unknown>",
"defaultValue": "<unknown>",
"key": "<string>",
"description": "<string>",
"required": true,
"reusable": true,
"isEnv": true,
"isSystem": true,
"isGlobal": true
}
}
'import requests
url = "https://eu-gcp-api.vg-stuff.com/v3/variables/{variableId}"
payload = { "variable": {
"in": "<string>",
"value": "<unknown>",
"defaultValue": "<unknown>",
"key": "<string>",
"description": "<string>",
"required": True,
"reusable": True,
"isEnv": True,
"isSystem": True,
"isGlobal": True
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
variable: {
in: '<string>',
value: '<unknown>',
defaultValue: '<unknown>',
key: '<string>',
description: '<string>',
required: true,
reusable: true,
isEnv: true,
isSystem: true,
isGlobal: true
}
})
};
fetch('https://eu-gcp-api.vg-stuff.com/v3/variables/{variableId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": {
"id": "<string>",
"in": "<string>",
"value": "<unknown>",
"defaultValue": "<unknown>",
"key": "<string>",
"description": "<string>",
"required": true,
"reusable": true,
"isEnv": true,
"isSystem": true,
"isGlobal": true,
"agentId": "<string>",
"userId": "<string>"
}
}{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Variables
Update Variable
Updates a variable, this route must use the new V3 endpoints.
PATCH
/
variables
/
{variableId}
Update Variable
Example Request
{
"variable": {
"value": "John Doe",
"description": "Updated description"
}
}
Uses partial updates - only provided fields are changed. The
key cannot be modified after creation.Update
value to set a variable’s current value, or defaultValue to change its initial state.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Show child attributes
Show child attributes
⌘I
